# Introduction to Quantum Computing - Lecture notes

Lecture note for the lecture "Introduction to Quantum Computing" by Dominique Unruh at RWTH Aachen.


## Installation guide

This guide is for VS Code. There may be other extensions for other development environments.

### 1. Install Quarto  
Download and install Quarto from the official website:  
<https://quarto.org/docs/get-started/>

### 2. Install the VS Code extension  
Install the Quarto Extension for Visual Studio Code:  
https://quarto.org/docs/get-started/  
You can also find it in the Extensions tab by searching for `"Quarto"`.

### 3. Preview the script  
To live-preview the project, use the following command in your terminal:  
`"quarto preview index.qmd"`  
This opens the preview directly in the browser, the option `"--no-browser"` prevents this. 

### 4. Render the script
To render the entire project to .pdf and html use:  
`"quarto render --to all"`  
The output will be generated in the _book folder.

### 5. Add pictures to the lecture notes
Not all LaTeX packages are supported for output as HTML, so graphics and similar elements created with LaTeX must be included via external files. For HTML, the preferred format is **SVG** and for PDF documents, it is **PDF**. Both files should be in the same folder and have the same name so that the correct file is used automatically.

#### Conversion Process

Here's the step-by-step process for the conversion process:

1. **Generate a PDF in the terminal using `pdflatex`:**

   `"pdflatex example.tex`"

2. **Generate a SVG in the terminal using `dvisvgm`:**
   
   `"latex example.tex`"

   `"dvisvgm example.dvi`"


## Project structure 

The main components of the project are:

### `_quarto.yml`
This is the main configuration file for your project. It contains:
- **Title**, **authors**, **output formats** and other metadata
- The **structure** of the script is under the `chapters:` section

You can **toggle chapter visibility** by commenting/uncommenting lines using `#`. This is useful for revealing content gradually throughout the semester.

### `index.qmd`
This file contains the **introduction** of the script.  
It must be located in the same directory as the `quarto.yml` file.

### `content/`
This folder contains all the **chapters** of the script, as individual `.qmd` files.

### `content/img/`
Subfolder that contains all **images** and **pdf** used throughout the script.

### `content/latex/`
Subfolder that contains all **tex-files** for creating some PDFs and SVGs. Unfortunately, not all latex files are available anymore.

### `_extensions/`
This folder includes any **custom Quarto extensions** that add functionality or styling to your project.

### `_book/`
This is the **output folder** generated by Quarto after rendering.  
It contains the final script in the formats **HTML** and **PDF**.
